﻿/* Shaun Marquardt
 * TINFO 200
 * L6: OOP
 * ****************************************************
 * Change History
 * Date         Developer       Description
 * 2020-02-11   marqusa         File creation and initial implementation, Chuck Costarella
 *                              See StuDB for fuller change history
 * 2020-02-29   marqusa         Removed TestMain as I have [I]nsert test driver data in the menu.
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StudentDB
{
    class Program
    {
        /* This is a program for a student database application.
         * This program has the capability to read/write to a plain
         * ascii text file to save the data to disk. When the data is read
         * it loads each type of student, UNDERGRAD or GRADSTUDENT into a 
         * new list of students. The program operates on this list until
         * the QUIT menu choice is selected. At said time, the program
         * will save the current list of students in memory back out to disk.
         */


        /* This is the main driver program for the StuDB class.
         * Simply instantiates a new StuDB object and calls GoDatabase()
         * which presents the main program to the user proper, starting
         * with the main menu.
         */
        static void Main(string[] args)
        {
            StuDB app = new StuDB();
            app.GoDatabase();
        }
    }
}
